Bug 851080 - CLI: product promote shows strange error
CLI: product promote shows strange error
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Mike McCune
Hayk Hovsepyan
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 04:23 EDT by Hayk Hovsepyan
Modified: 2014-09-18 11:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Product promotion in changesets via the command line interface caused an error stating requirements for an additional argument. This fix defines the correct number of arguments for the promote command. Products are now successfully promoted in changesets.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:51:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hayk Hovsepyan 2012-08-23 04:23:35 EDT
Description of problem:
When you try to promote product to some environment by CLI command "product promote --environment dev --name zoo3 --org ACME_Corporation" it shows error:
 "error: create() takes at least 5 arguments (4 given) (more in the log file /var/log/katello/client.log)".

Version-Release number of selected component (if applicable):
pulp-common-1.1.12-1.el6.noarch
katello-common-1.0.6-1.el6.noarch
qpid-cpp-server-0.14-14.el6_2.x86_64
katello-selinux-1.1.0-1.git.18.d10e8a3.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.1.2-1.git.162.09c0162.el6.noarch
katello-repos-1.1.2-1.el6.noarch
katello-glue-foreman-1.0.6-1.el6.noarch
qpid-cpp-client-0.14-14.el6_2.x86_64
pulp-1.1.12-1.el6.noarch
mod_wsgi-3.3-3.pulp.el6.x86_64
katello-glue-candlepin-1.0.6-1.el6.noarch
qpid-cpp-server-ssl-0.14-14.el6_2.x86_64
candlepin-tomcat6-0.7.6.2-1.el6.noarch
pulp-selinux-server-1.1.12-1.el6.noarch
katello-configure-1.0.2-1.el6.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-agent-1.1.0-1.git.22.d10e8a3.el6.noarch
python-oauth2-1.5.170-2.pulp.el6.noarch
python-qpid-0.14-7.el6_2.noarch
candlepin-0.7.6.2-1.el6.noarch
katello-glue-pulp-1.0.6-1.el6.noarch
qpid-cpp-client-ssl-0.14-14.el6_2.x86_64
katello-1.0.6-1.el6.noarch
katello-certs-tools-1.1.8-1.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-1.1.2-1.git.162.09c0162.el6.noarch
m2crypto-0.21.1.pulp-7.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. Create environment, provider, product, repo.
2. Try to promote product to vreated environment by CLI: "product promote --environment dev --name zoo3 --org ACME_Corporation". You will see the error.
  
Actual results:
Error is shown.

Expected results:
Product should be promoted.
Comment 1 Pavel Pokorny 2012-09-03 08:13:35 EDT
Fixed in 2596fb1
Comment 3 Hayk Hovsepyan 2012-09-18 03:33:00 EDT
Verified on revision:

katello-cli-1.1.8-4.el6cf.noarch
katello-certs-tools-1.1.8-1.el6cf.noarch
candlepin-selinux-0.7.8-1.el6cf.noarch
qpid-cpp-server-ssl-0.14-14.el6_2.x86_64
pulp-selinux-server-1.1.12-1.el6cf.noarch
katello-glue-pulp-1.1.12-7.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-4.el6cf.noarch
candlepin-0.7.8-1.el6cf.noarch
qpid-cpp-client-ssl-0.14-14.el6_2.x86_64
katello-configure-1.1.9-3.el6cf.noarch
katello-glue-candlepin-1.1.12-7.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
candlepin-tomcat6-0.7.8-1.el6cf.noarch
pulp-common-1.1.12-1.el6cf.noarch
qpid-cpp-server-0.14-14.el6_2.x86_64
katello-selinux-1.1.1-1.el6cf.noarch
katello-all-1.1.12-7.el6cf.noarch
python-qpid-0.14-7.el6_2.noarch
python-isodate-0.4.4-4.pulp.el6.noarch
qpid-cpp-client-0.14-14.el6_2.x86_64
pulp-1.1.12-1.el6cf.noarch
katello-common-1.1.12-7.el6cf.noarch
katello-1.1.12-7.el6cf.noarch
katello-qpid-client-key-pair-1.0-1.noarch
m2crypto-0.21.1.pulp-7.el6.x86_64
python-oauth2-1.5.170-2.pulp.el6.noarch
mod_wsgi-3.3-3.pulp.el6.x86_64

Now it promotes product to environment. And when repo is synchronized, "package list --repo $repo --product $prod --environment $env" shows the list of packages from product promoted to environment.
Comment 5 errata-xmlrpc 2012-12-04 14:51:38 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.